#include "xanimdeltapartquat.h"

XAnimDeltaPartQuat::XAnimDeltaPartQuat()
    : XAsset()
{
    SetName("Animation Delta Part Quat");
}

void XAnimDeltaPartQuat::ParseData(XDataStream *aStream) {
    if (GetPtr() == -1) {
        mSize = aStream->ParseUInt32(QString("%1 size").arg(GetName()));

        // Parse data
        mData.ParseData(aStream);
    }
}

quint32 XAnimDeltaPartQuat::GetSize() const {
    return mSize;
}

void XAnimDeltaPartQuat::SetSize(quint32 size) {
    mSize = size;
}

const XAnimDeltaPartQuatData& XAnimDeltaPartQuat::GetData() const {
    return mData;
}

void XAnimDeltaPartQuat::SetData(const XAnimDeltaPartQuatData& data) {
    mData = data;
}
